com.google.apphosting.api

## Class ApiProxy.OverQuotaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.apphosting.api.ApiProxy.ApiProxyException
        - - com.google.apphosting.api.ApiProxy.OverQuotaException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    ApiProxy

      public static class ApiProxy.OverQuotaException
      extends ApiProxy.ApiProxyException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OverQuotaException(java.lang.String packageName, java.lang.String methodName)`
    `OverQuotaException(java.lang.String message, java.lang.String packageName, java.lang.String methodName)`
    `OverQuotaException(java.lang.String message, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiProxy.OverQuotaException` | `cloneWithoutStackTrace()` Produces a copy of this exception where the stack trace is replaced by one from the place where this method was called.

    - ### Methods inherited from class com.google.apphosting.api.ApiProxy.ApiProxyException

      `copy`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OverQuotaException

          public OverQuotaException(java.lang.String packageName,
                                    java.lang.String methodName)

    - #### OverQuotaException

          public OverQuotaException(java.lang.String message,
                                    java.lang.String packageName,
                                    java.lang.String methodName)

    - #### OverQuotaException

          public OverQuotaException(java.lang.String message,
                                    java.lang.Throwable cause)

  - ### Method Detail

    - #### cloneWithoutStackTrace

          public ApiProxy.OverQuotaException cloneWithoutStackTrace()

      Description copied from class: `ApiProxy.ApiProxyException`
      Produces a copy of this exception where the stack trace is replaced by one from the place where this method was called.